import { createRouter, createWebHistory } from 'vue-router'
import HomeView from '../views/HomeView.vue'

const router = createRouter({
  history: createWebHistory(import.meta.env.BASE_URL),
  routes: [
    {
      path: '/home',
      name: 'home',
      component: HomeView,
      children:[
        {
          path: '/process',
          name: '工序项维护',
          component: () => import('../views/maintenance/m-process.vue'),
        },
        {
          path: '/requirements',
          name: '工艺要求维护',
          component: () => import('../views/maintenance/m-requirements.vue'),
        },
        {
          path: '/factory',
          name: '工厂维护',
          component: () => import('../views/maintenance/m-factory.vue'),
        },
        {
          path: '/other',
          name: '其他要求项维护',
          component: () => import('../views/maintenance/m-other.vue'),
        },
        {
          path: '/quality',
          name: '色胚质检项维护',
          component: () => import('../views/lecher/l-quality.vue'),
        },
        {
          path: '/flaws',
          name: '色胚质检瑕疵维护',
          component: () => import('../views/lecher/l-flaws.vue'),
        },
        {
          path: '/warehousing',
          name: '白胚入库',
          component: () => import('../views/whiteEmbryo/w-warehousing.vue'),
        },
        {
          path: '/level',
          name: '白胚等级维护',
          component: () => import('../views/whiteEmbryo/w-level.vue'),
        },
        {
          path: '/suppliers',
          name: '供应商维护',
          component: () => import('../views/whiteEmbryo/w-suppliers.vue'),
        },
        {
          path: '/scanCode',
          name: '扫一扫',
          component: () => import('../views/whiteEmbryo/scanCode.vue'),
        },
      ]
    },
    {
      path: '/detail',
      name: 'detail',
      component: () => import('../views/maintenance/p-details.vue'),
    },
    {
      path: '/',
      name: 'about',
      component: () => import('../views/AboutView.vue'),
    },
    {
      path: "/:catchAll(.*)",
      name: "404",
      component: () => import("../views/NotFound.vue"),
    },
  ],
})

export default router
